> For the complete documentation index, see [llms.txt](https://docs.sensepass.com/sensepay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sensepass.com/sensepay/partner-api/models/onboarding-status-model.md).

# Onboarding Status Model

### Onboarding Status Model

This model is referenced in the response of #onboarding-status

<table><thead><tr><th width="305.21884607307493">field</th><th width="95">type</th><th width="384.2">description</th></tr></thead><tbody><tr><td>uid</td><td>string</td><td>example: 52c8e55d-26dc-4935-9214-e3fccf6c8bcf<br>The ID of the created onboarding</td></tr><tr><td>message</td><td>string</td><td><p>example: Merchant with this license id already exist</p><p>The error message in case the onboarding process failed</p></td></tr><tr><td>status</td><td>string</td><td><p>example: Approved</p><p>The status of the onboarding process, can be "Approved", "Failed", "Pending"</p></td></tr><tr><td>merchant</td><td>object</td><td>The merchant details in case the onboarding process succeeds (status is "Approved") </td></tr><tr><td>merchant.merchant_info</td><td>object</td><td>The merchant information inserted on the onboarding creation request</td></tr><tr><td>merchant.merchant_info.category</td><td>string</td><td>The merchant's category</td></tr><tr><td>merchant.merchant_info.city</td><td>string</td><td>The merchant's city</td></tr><tr><td>merchant.merchant_info.country</td><td>string</td><td>The merchant's country</td></tr><tr><td>merchant.merchant_info.email</td><td>string</td><td>The merchant's email</td></tr><tr><td>merchant.merchant_info.house_number</td><td>number</td><td>The merchant's house number</td></tr><tr><td>merchant.merchant_info.phone_number</td><td>string</td><td>The merchant's phone number</td></tr><tr><td>merchant.merchant_info.social_id</td><td>string</td><td>The merchant's EIN</td></tr><tr><td>merchant.merchant_info.name</td><td>string</td><td>The merchant's name</td></tr><tr><td>merchant.merchant_info.state</td><td>string</td><td>The merchant's state</td></tr><tr><td>merchant.merchant_info.street</td><td>string</td><td>The merchant's street</td></tr><tr><td>merchant.merchant_info.website</td><td>string</td><td>The merchant's website</td></tr><tr><td>merchant.merchant_info.locale</td><td>string</td><td>The merchant's locale (default is USA if nothing was filled)</td></tr><tr><td>merchant.merchant_owner_info</td><td>object</td><td>The merchant's owner information inserted on the onboarding creation request</td></tr><tr><td>merchant.merchant_owner_info.email</td><td>string</td><td>The merchant's owner's email</td></tr><tr><td>merchant.merchant_owner_info.name</td><td>string</td><td>The merchant's owner's name</td></tr><tr><td>merchant.merchant_owner_info.phone_number</td><td>string</td><td>The merchant's owner's phone number</td></tr><tr><td>merchant.merchant_owner_info.social_id</td><td>string</td><td>The merchant's owner's social id</td></tr><tr><td>merchant.active</td><td>boolean</td><td>If the merchant is active or not (true/false)</td></tr><tr><td>merchant.verified</td><td>boolean</td><td>If the merchant is verified or not (true/false)</td></tr><tr><td>merchant.status</td><td>object</td><td>The merchant's status object</td></tr><tr><td>merchant.status.uid</td><td>string</td><td>The merchant's status uinque identifier</td></tr><tr><td>merchant.status.name</td><td>string</td><td>The merchant's status name</td></tr><tr><td>merchant.uid</td><td>string</td><td>The merchant's uinque identifier</td></tr><tr><td>merchant.created</td><td>string</td><td>The merchant's created date</td></tr><tr><td>merchant.displayName</td><td>string</td><td>The merchant's display name (title)</td></tr><tr><td>merchant.logo</td><td>string</td><td>The merchant's logo</td></tr><tr><td>merchant.locations</td><td>array of objects</td><td>The merchant's locations (stores) array</td></tr><tr><td>merchant.locations.active</td><td>boolean</td><td>If the merchant's location is active or not (true/false)</td></tr><tr><td>merchant.locations.verified</td><td>boolean</td><td>If the merchant's location is verified or not (true/false)</td></tr><tr><td>merchant.locations.uid</td><td>string</td><td>If the merchant's location unique identifer</td></tr><tr><td>merchant.locations.created</td><td>string</td><td>If the merchant's location created date</td></tr><tr><td>merchant.locations.dispaly_name</td><td>string</td><td>If the merchant's location display name (title)</td></tr><tr><td>merchant.locations.number</td><td>string</td><td>If the merchant's location number</td></tr><tr><td>merchant.locations.apiKey</td><td>string</td><td>If the merchant's location api key</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sensepass.com/sensepay/partner-api/models/onboarding-status-model.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
